Page MenuHomePhabricator

LDAP access to the wmf group for Marshall Miller (to use Pivot)
Closed, ResolvedPublic

Description

Hi -- I'm a new product manager here with the Audiences team (https://meta.wikimedia.org/wiki/User:MMiller_(WMF)), and I would like to be able to use Pivot. I've created a wikitech account: https://wikitech.wikimedia.org/wiki/User:MMiller.

Another report I would like to be able to access is this one, if both those things can be done at the same time: https://piwik.wikimedia.org/index.php?module=CoreHome&action=index&date=yesterday&period=day&idSite=14

Thank you, and let me know if you need anything else.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2018, 9:58 PM
Reedy added a subscriber: Reedy.Mar 19 2018, 10:06 PM

You'll want to get approval from your manager (get them to OK the access request on this task)

@Reedy -- thanks for the speedy response.

@DannyH -- could you please approve my request for access to Pivot and to Piwik?

I approve this request.

Change 420935 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] add mmiller to admins module

https://gerrit.wikimedia.org/r/420935

Change 420935 merged by RobH:
[operations/puppet@production] add mmiller to admins module

https://gerrit.wikimedia.org/r/420935

Reedy removed a subscriber: Reedy.Mar 20 2018, 11:43 PM
RobH closed this task as Resolved.Mar 20 2018, 11:45 PM
RobH claimed this task.
RobH added a subscriber: RobH.

Added to admins module and then ldap group as requested.

Thank you for helping with this. I have a follow-up request as recommended by @Ottomata. May I also have access to Superset (https://superset.wikimedia.org/superset/welcome)?

Thank you,

Marshall

Done, you should be able to log in at https://superset.wikimedia.org now using your shell username (mmiller) and LDAP password.

Nuria added a subscriber: Nuria.Mar 22 2018, 2:29 PM

@MMiller_WMF do you mean http://pivot.wikimedia.org rather than piwik? piwik is mostly used to track usage on small dashboards like: http://analytics.wikimedia.org

Thanks @Ottomata -- I'm in.

@Nuria -- I did get access to Pivot, but I wanted to see Piwiki too just to get the full picture of all current and past dashboarding tools. I think I now have access to all (Pivot, Piwik, Superset). Thank you!

Nuria added a comment.Mar 22 2018, 3:07 PM

MMiller_WMF I see, piwik is very different from the other tools which can be used to look at massive amounts of data. Piwik is a google analytics equivalent for tiny sites we use to track usage of those sites.